/* CSS styles for the tool */
.tooltip {
    position: absolute;
    z-index: 1070;
    display: block;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: left;
    text-align: start;
    text-decoration: none;
    text-shadow: none;
    text-transform: none;
    letter-spacing: normal;
    word-break: normal;
    word-spacing: normal;
    word-wrap: normal;
    white-space: normal;
    filter: alpha(opacity=0);
    opacity: 0;
    line-break: auto;
}
.tooltip.in {
    filter: alpha(opacity=90);
    opacity: 0.9;
}
.tooltip.top {
    padding: 5px 0;
    margin-top: -3px;
}
.tooltip.right {
    padding: 0 5px;
    margin-left: 3px;
}
.tooltip.bottom {
    padding: 5px 0;
    margin-top: 3px;
}
.tooltip.left {
    padding: 0 5px;
    margin-left: -3px;
}
.tooltip-inner {
    max-width: 200px;
    padding: 3px 8px;
    color: #fff;
    text-align: center;
    background-color: #000;
    border-radius: 4px;
}
.tooltip-arrow {
    position: absolute;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
}
.tooltip.top .tooltip-arrow {
    bottom: 0;
    left: 50%;
    margin-left: -5px;
    border-width: 5px 5px 0;
    border-top-color: #000;
}
.tooltip.top-left .tooltip-arrow {
    right: 5px;
    bottom: 0;
    margin-bottom: -5px;
    border-width: 5px 5px 0;
    border-top-color: #000;
}
.tooltip.top-right .tooltip-arrow {
    bottom: 0;
    left: 5px;
    margin-bottom: -5px;
    border-width: 5px 5px 0;
    border-top-color: #000;
}
.tooltip.right .tooltip-arrow {
    top: 50%;
    left: 0;
    margin-top: -5px;
    border-width: 5px 5px 5px 0;
    border-right-color: #000;
}
.tooltip.left .tooltip-arrow {
    top: 50%;
    right: 0;
    margin-top: -5px;
    border-width: 5px 0 5px 5px;
    border-left-color: #000;
}
.tooltip.bottom .tooltip-arrow {
    top: 0;
    left: 50%;
    margin-left: -5px;
    border-width: 0 5px 5px;
    border-bottom-color: #000;
}
.tooltip.bottom-left .tooltip-arrow {
    top: 0;
    right: 5px;
    margin-top: -5px;
    border-width: 0 5px 5px;
    border-bottom-color: #000;
}
.tooltip.bottom-right .tooltip-arrow {
    top: 0;
    left: 5px;
    margin-top: -5px;
    border-width: 0 5px 5px;
    border-bottom-color: #000;
}
.tooltip-inner {
    background-color: #3f903f;
    color: #fff;
}
.tooltip.top .tooltip-arrow {
    border-top-color: #3f903f;
}
.tooltip.right .tooltip-arrow {
    border-right-color: #3f903f;
}
.tooltip.bottom .tooltip-arrow {
    border-bottom-color: #3f903f;
}
.tooltip.left .tooltip-arrow {
    border-left-color: #3f903f;
}
.cropper-container {
    direction: ltr;
    font-size: 0;
    line-height: 0;
    position: relative;
    -ms-touch-action: none;
    touch-action: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.cropper-container img {
    display: block;
    height: 100%;
    image-orientation: 0;
    max-height: none !important;
    max-width: none !important;
    min-height: 0 !important;
    min-width: 0 !important;
    width: 100%;
}
.cropper-wrap-box,
.cropper-canvas,
.cropper-drag-box,
.cropper-crop-box,
.cropper-modal {
    bottom: 0;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
}
.cropper-wrap-box,
.cropper-canvas {
    overflow: hidden;
}
.cropper-drag-box {
    background-color: #fff;
    opacity: 0;
}
.cropper-modal {
    background-color: #000;
    opacity: 0.5;
}
.cropper-view-box {
    display: block;
    height: 100%;
    outline-color: rgba(51, 153, 255, 0.75);
    outline: 1px solid #39f;
    overflow: hidden;
    width: 100%;
}
.cropper-dashed {
    border: 0 dashed #eee;
    display: block;
    opacity: 0.5;
    position: absolute;
}
.cropper-dashed.dashed-h {
    border-bottom-width: 1px;
    border-top-width: 1px;
    height: calc(100% / 3);
    left: 0;
    top: calc(100% / 3);
    width: 100%;
}
.cropper-dashed.dashed-v {
    border-left-width: 1px;
    border-right-width: 1px;
    height: 100%;
    left: calc(100% / 3);
    top: 0;
    width: calc(100% / 3);
}
.cropper-center {
    display: block;
    height: 0;
    left: 50%;
    opacity: 0.75;
    position: absolute;
    top: 50%;
    width: 0;
}
.cropper-center:before,
.cropper-center:after {
    background-color: #eee;
    content: " ";
    display: block;
    position: absolute;
}
.cropper-center:before {
    height: 1px;
    left: -3px;
    top: 0;
    width: 7px;
}
.cropper-center:after {
    height: 7px;
    left: 0;
    top: -3px;
    width: 1px;
}
.cropper-face,
.cropper-line,
.cropper-point {
    display: block;
    height: 100%;
    opacity: 0.1;
    position: absolute;
    width: 100%;
}
.cropper-face {
    background-color: #fff;
    left: 0;
    top: 0;
}
.cropper-line {
    background-color: #39f;
}
.cropper-line.line-e {
    cursor: ew-resize;
    right: -3px;
    top: 0;
    width: 5px;
}
.cropper-line.line-n {
    cursor: ns-resize;
    height: 5px;
    left: 0;
    top: -3px;
}
.cropper-line.line-w {
    cursor: ew-resize;
    left: -3px;
    top: 0;
    width: 5px;
}
.cropper-line.line-s {
    bottom: -3px;
    cursor: ns-resize;
    height: 5px;
    left: 0;
}
.cropper-point {
    background-color: #39f;
    height: 5px;
    opacity: 0.75;
    width: 5px;
}
.cropper-point.point-e {
    cursor: ew-resize;
    margin-top: -3px;
    right: -3px;
    top: 50%;
}
.cropper-point.point-n {
    cursor: ns-resize;
    left: 50%;
    margin-left: -3px;
    top: -3px;
}
.cropper-point.point-w {
    cursor: ew-resize;
    left: -3px;
    margin-top: -3px;
    top: 50%;
}
.cropper-point.point-s {
    bottom: -3px;
    cursor: s-resize;
    left: 50%;
    margin-left: -3px;
}
.cropper-point.point-ne {
    cursor: nesw-resize;
    right: -3px;
    top: -3px;
}
.cropper-point.point-nw {
    cursor: nwse-resize;
    left: -3px;
    top: -3px;
}
.cropper-point.point-sw {
    bottom: -3px;
    cursor: nesw-resize;
    left: -3px;
}
.cropper-point.point-se {
    bottom: -3px;
    cursor: nwse-resize;
    height: 20px;
    opacity: 1;
    right: -3px;
    width: 20px;
}
@media (min-width: 768px) {
    .cropper-point.point-se {
        height: 15px;
        width: 15px;
    }
}
@media (min-width: 992px) {
    .cropper-point.point-se {
        height: 10px;
        width: 10px;
    }
}
@media (min-width: 1200px) {
    .cropper-point.point-se {
        height: 5px;
        opacity: 0.75;
        width: 5px;
    }
}
.cropper-point.point-se:before {
    background-color: #39f;
    bottom: -50%;
    content: " ";
    display: block;
    height: 200%;
    opacity: 0;
    position: absolute;
    right: -50%;
    width: 200%;
}
.cropper-invisible {
    opacity: 0;
}
.cropper-bg {
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAQMAAAAlPW0iAAAAA3NCSVQICAjb4U/gAAAABlBMVEXMzMz////TjRV2AAAACXBIWXMAAArrAAAK6wGCiw1aAAAAHHRFWHRTb2Z0d2FyZQBBZG9iZSBGaXJld29ya3MgQ1M26LyyjAAAABFJREFUCJlj+M/AgBVhF/0PAH6/D/HkDxOGAAAAAElFTkSuQmCC);
}
.cropper-hide {
    display: block;
    height: 0;
    position: absolute;
    width: 0;
}
.cropper-hidden {
    display: none !important;
}
.cropper-move {
    cursor: move;
}
.cropper-crop {
    cursor: crosshair;
}
.cropper-disabled .cropper-drag-box,
.cropper-disabled .cropper-face,
.cropper-disabled .cropper-line,
.cropper-disabled .cropper-point {
    cursor: not-allowed;
}
.btn {
    padding-left: 7.5px;
    padding-right: 7.5px;
}
label.btn {
    margin-bottom: 0;
}
.d-flex > .btn {
    flex: 1;
}
.carbonads {
    border-radius: 2.5px;
    border: 1px solid #ccc;
    font-size: 8.75px;
    overflow: hidden;
    padding: 10px;
}
.carbon-wrap {
    overflow: hidden;
}
.carbon-img {
    clear: left;
    display: block;
    float: left;
}
.carbon-text,
.carbon-poweredby {
    display: block;
    margin-left: 140px;
}
.carbon-text,
.carbon-text:hover,
.carbon-text:focus {
    color: #fff;
    text-decoration: none;
}
.carbon-poweredby,
.carbon-poweredby:hover,
.carbon-poweredby:focus {
    color: #ddd;
    text-decoration: none;
}
@media (min-width: 768px) {
    .carbonads {
        float: right;
        margin-bottom: -10px;
        margin-top: -10px;
        max-width: 360px;
    }
}
.footer {
    font-size: 8.75px;
    overflow: hidden;
}
.heart {
    color: #ddd;
    display: block;
    height: 20px;
    line-height: 20px;
    margin-bottom: 0;
    margin-top: 10px;
    position: relative;
    text-align: center;
    width: 100%;
}
.heart:hover {
    color: #ff4136;
}
.heart::before {
    border-top: 1px solid #eee;
    content: " ";
    display: block;
    height: 0;
    left: 0;
    position: absolute;
    right: 0;
    top: 50%;
}
.heart::after {
    background-color: #fff;
    content: "♥";
    padding-left: 5px;
    padding-right: 5px;
    position: relative;
    z-index: 1;
}
.img-container,
.img-preview {
    background-color: #f7f7f7;
    text-align: center;
    width: 100%;
}
.img-container {
    margin-bottom: 10px;
    max-height: 497px;
    min-height: 200px;
}
@media (min-width: 768px) {
    .img-container {
        min-height: 497px;
    }
}
.img-container > img {
    max-width: 100%;
}
.docs-preview {
    margin-right: -10px;
}
.img-preview {
    float: left;
    margin-bottom: 5px;
    margin-right: 5px;
    overflow: hidden;
}
.img-preview > img {
    max-width: 100%;
}
.preview-lg {
    height: 158px;
    width: 300px;
}
.preview-md {
    height: 56px;
    width: 100px;
}
.preview-sm {
    height: 33px;
    width: 60px;
}
.preview-xs {
    height: 22.5px;
    margin-right: 0;
    width: 40px;
}
.docs-data > .input-group {
    margin-bottom: 5px;
}
.docs-data .input-group-prepend .input-group-text {
    min-width: 40px;
}
.docs-data .input-group-append .input-group-text {
    min-width: 30px;
}
.docs-buttons > .btn,
.docs-buttons > .btn-group,
.docs-buttons > .form-control {
    margin-bottom: 5px;
    margin-right: 2.5px;
}
.docs-toggles > .btn,
.docs-toggles > .btn-group,
.docs-toggles > .dropdown {
    margin-bottom: 5px;
}
.docs-tooltip {
    display: block;
    margin: -5px -7.5px;
    padding: 5px 7.5px;
}
.docs-tooltip > .icon {
    margin: 0 -2.5px;
    vertical-align: top;
}
.tooltip-inner {
    white-space: normal;
}
.btn-upload .tooltip-inner,
.btn-toggle .tooltip-inner {
    white-space: nowrap;
}
.btn-toggle {
    padding: 5px;
}
.btn-toggle > .docs-tooltip {
    margin: -5px;
    padding: 5px;
}
@media (max-width: 400px) {
    .btn-group-crop {
        margin-right: -10px !important;
    }
    .btn-group-crop > .btn {
        padding-left: 5px;
        padding-right: 5px;
    }
    .btn-group-crop .docs-tooltip {
        margin-left: -5px;
        margin-right: -5px;
        padding-left: 5px;
        padding-right: 5px;
    }
}
.docs-options .dropdown-menu {
    width: 100%;
}
.docs-options .dropdown-menu > li {
    font-size: 8.75px;
    padding: 1.25px 10px;
}
.docs-options .dropdown-menu .form-check-label {
    display: block;
}
.docs-cropped .modal-body {
    text-align: center;
}
.docs-cropped .modal-body > img,
.docs-cropped .modal-body > canvas {
    max-width: 100%;
}
